com.qualcomm.robotcore.hardware

## Class I2cDeviceSynchImpl.Callback

- java.lang.Object
- - com.qualcomm.robotcore.hardware.I2cDeviceSynchImpl.Callback

- All Implemented Interfaces:
    I2cController.I2cPortReadyBeginEndNotifications, I2cController.I2cPortReadyCallback
  Enclosing class:
    I2cDeviceSynchImpl

      protected class I2cDeviceSynchImpl.Callback
      extends java.lang.Object
      implements I2cController.I2cPortReadyCallback, I2cController.I2cPortReadyBeginEndNotifications

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `doModuleIsArmedWorkEnabledWrites`
    `protected boolean` | `enabledReadMode`
    `protected boolean` | `enabledWriteMode`
    `protected boolean` | `haveSeenModuleIsArmedWork`
    `protected boolean` | `heartbeatRequired`
    `protected I2cDeviceSynchImpl.READ_CACHE_STATUS` | `prevReadCacheStatus`
    `protected I2cDeviceSynchImpl.WRITE_CACHE_STATUS` | `prevWriteCacheStatus`
    `protected boolean` | `queueFullWrite`
    `protected boolean` | `queueRead`
    `protected boolean` | `setActionFlag`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Callback()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doModuleIsArmedWork(boolean arming)`
    `protected void` | `issueWrite()`
    `void` | `onModuleStateChange(RobotArmingStateNotifier robotUsbModule, RobotUsbModule.ARMINGSTATE armingstate)`
    `void` | `onPortIsReadyCallbacksBegin(int port)`
    `void` | `onPortIsReadyCallbacksEnd(int port)`
    `void` | `portIsReady(int port)`
    `protected void` | `startSwitchingToReadMode(I2cDeviceSynch.ReadWindow window)`
    `protected void` | `updateStateMachines()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### setActionFlag

          protected boolean setActionFlag

    - #### queueFullWrite

          protected boolean queueFullWrite

    - #### queueRead

          protected boolean queueRead

    - #### heartbeatRequired

          protected boolean heartbeatRequired

    - #### enabledReadMode

          protected boolean enabledReadMode

    - #### enabledWriteMode

          protected boolean enabledWriteMode

    - #### prevReadCacheStatus

          protected I2cDeviceSynchImpl.READ_CACHE_STATUS prevReadCacheStatus

    - #### prevWriteCacheStatus

          protected I2cDeviceSynchImpl.WRITE_CACHE_STATUS prevWriteCacheStatus

    - #### doModuleIsArmedWorkEnabledWrites

          protected boolean doModuleIsArmedWorkEnabledWrites

    - #### haveSeenModuleIsArmedWork

          protected boolean haveSeenModuleIsArmedWork

  - ### Constructor Detail

    - #### Callback

          protected Callback()

  - ### Method Detail

    - #### portIsReady

          public void portIsReady(int port)

      Specified by:
        `portIsReady` in interface `I2cController.I2cPortReadyCallback`

    - #### onModuleStateChange

          public void onModuleStateChange(RobotArmingStateNotifier robotUsbModule,
                                          RobotUsbModule.ARMINGSTATE armingstate)

    - #### onPortIsReadyCallbacksBegin

          public void onPortIsReadyCallbacksBegin(int port)

      Specified by:
        `onPortIsReadyCallbacksBegin` in interface `I2cController.I2cPortReadyBeginEndNotifications`

    - #### doModuleIsArmedWork

          protected void doModuleIsArmedWork(boolean arming)

    - #### onPortIsReadyCallbacksEnd

          public void onPortIsReadyCallbacksEnd(int port)

      Specified by:
        `onPortIsReadyCallbacksEnd` in interface `I2cController.I2cPortReadyBeginEndNotifications`

    - #### startSwitchingToReadMode

          protected void startSwitchingToReadMode(I2cDeviceSynch.ReadWindow window)

    - #### issueWrite

          protected void issueWrite()

    - #### updateStateMachines

          protected void updateStateMachines()